#include Once "window9.bi"

Sub Resize_imagea(Byref GpImage As Any Ptr,Byref iWidth As Single=0, Byref iHeight As Single=0)
	
	If iWidth <> 0 Andalso iHeight <> 0 Then
		
		Dim As Any Ptr pTemp = GpImage
		
		GpImage = gdk_pixbuf_scale_simple(GpImage , iWidth , iHeight , GDK_INTERP_BILINEAR)
		
		g_object_unref(pTemp)
		
	Endif
	
End Sub